import React, { useState, useEffect } from 'react'
import { Login, Logout } from 'components';

const AuthPage = () => {
    const storage = window.localStorage;
    const [loggedIn, setLoggedIn] = useState<boolean>(false);

    useEffect(() => {
        switch (storage.getItem("loggedIn")) {
            case "true":
                setLoggedIn(true)
                break;        
            default:
                setLoggedIn(false)
                break;
        }
    }, [loggedIn, storage])

    return (
        <div>
            <Logout/>
            <br/>
            <Login/>
        </div>
    )
}

export default AuthPage 