import React, {useState, useEffect} from 'react'
import {OrderDetails, SearchOrder} from 'components'
import { OrderService } from 'services';
import { Order } from 'Order';

const OrderIndexPage = () => {
    let [orders, setOrders] = useState([]);

    useEffect(() => {
        OrderService.allOrders().then((data) => setOrders(data));
    }, [])

    const orderDetailsArr = orders.map((order: Order, idx: any) => {
        return <tr key={idx}><OrderDetails
            date={order.orderCreatedAt} 
            orderNumber={order.id}
            status={order.orderStatus}
            /></tr>
    })

    return (
        <>
            <table>
                <tbody>
                    <tr>
                        <th>Order number</th>
                        <th>Created</th>
                        <th>Order Status</th>
                    </tr>
                    {orderDetailsArr}
                </tbody>
            </table>
            <SearchOrder orders={orders}/>
        </>
    )
}

export default OrderIndexPage
