import React, {useState, useEffect} from 'react';
import {OrderShowDetails} from 'components';
import { Order, Item } from 'Order';
import { OrderService } from 'services'

const OrderShowPage = (props: any) => {
    const location = props.match.params.id;
    const apiUrl = 'http://localhost:8080/api/orders/' + location;
    const [order, setOrder] = useState<Order>();
    const [items, setItems] = useState<Item[]>()

    useEffect(() => {
        OrderService.orderById(apiUrl).then((data) => {
            setOrder(data)
            setItems(data.orderItems);
        })
    }, [apiUrl])

    if (!order) {
        return(<></>);
    }
    
    return (
        <>
            <span>
                <h3>Order Date: {order.orderCreatedAt}</h3>
                <h3>Order Number: {order.id}</h3>
                <h3>Order Status: {order.orderStatus}</h3>
            </span>
            
            <OrderShowDetails items={items}/>
        </>
    )
}

export default OrderShowPage
